package sudoku;

import java.util.ArrayList;
import java.util.List;

public class Bloc {
    private final List<Case> cases;
    private final String couleur;
    private final int couleurIndex;

    public Bloc(String couleur, int couleurIndex) {
        this.cases = new ArrayList<>();
        this.couleur = couleur;
        this.couleurIndex = couleurIndex;
    }

    public void ajouterCase(Case c) {
        cases.add(c);
    }

    public boolean contains(Symbole s) {
        for (Case c : cases) {
            if (c.getSymbole().equals(s)) {
                return true;
            }
        }
        return false;
    }

    public String getCouleur() {
        return couleur;
    }

    public int getCouleurIndex() {
        return couleurIndex;
    }

    public List<Case> getCases() {
        return cases;
    }

    @Override
    public String toString() {
        return "Bloc [cases=" + cases + ", couleur=" + couleur + ", couleurIndex=" + couleurIndex + " \u001B[0m]";
    }
}